Products
PUT /variant-options/reorder
Reorder variant options
PUT
/
variant-options
/
reorder
cURL
curl --request PUT \
--url https://admin.fanfare.io/api/variant-options/reorder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"optionOrder": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'{
"options": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isRestricted": true,
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"values": [
{
"archived": true,
"colorHex": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"displayValue": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isCentrallyManaged": true,
"optionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 123,
"value": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
]
}
],
"total": 123
}⌘I
cURL
curl --request PUT \
--url https://admin.fanfare.io/api/variant-options/reorder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"optionOrder": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'{
"options": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isRestricted": true,
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"values": [
{
"archived": true,
"colorHex": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"displayValue": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isCentrallyManaged": true,
"optionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sortOrder": 123,
"value": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>"
}
]
}
],
"total": 123
}